Get a record
curl --request GET \
--url https://api.attio.com/v2/objects/{object}/records/{record_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.attio.com/v2/objects/{object}/records/{record_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.attio.com/v2/objects/{object}/records/{record_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": {
"workspace_id": "14beef7a-99f7-4534-a87e-70b564330a4c",
"object_id": "97052eb9-e65e-443f-a297-f2d9a4a7f795",
"record_id": "bf071e1f-6035-429d-b874-d83ea64ea13b"
},
"created_at": "2022-11-21T13:22:49.061281000Z",
"web_url": "https://app.attio.com/salarya/person/bf071e1f-6035-429d-b874-d83ea64ea13b",
"values": {}
}
}{
"status_code": 404,
"type": "invalid_request_error",
"code": "not_found",
"message": "Record with ID \"891dcbfc-9141-415d-9b2a-2238a6cc012d\" not found."
}Records
Get a record
Gets a single person, company or other record by its record_id.
Required scopes: record_permission:read, object_configuration:read.
GET
/
v2
/
objects
/
{object}
/
records
/
{record_id}
Get a record
Authorizations
This API uses OAuth 2.0 with the authorization code grant flow.
Path Parameters
A UUID or slug identifying the object that the record belongs to.
Example:
"people"
A UUID identifying the record.
Example:
"891dcbfc-9141-415d-9b2a-2238a6cc012d"
Response
Success
Success
Show child attributes
Show child attributes
Was this page helpful?
⌘I